# Class AngleUnits

java.lang.Object
uk.ac.starlink.ttools.cone.AngleUnits

public class AngleUnits extends Object
Defines a unit of angle measurement.

Since:
  5 Nov 2007
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AngleUnits`
`DEGREES`
Degrees.
`static final AngleUnits`
`RADIANS`
Radians.

## Constructor Summary

Constructors
Constructor
Description
`AngleUnits(String name, double circle)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`double`
`getCircle()`
Returns the number of these units in an entire revolution.
`String`
`getName()`
Returns the name of this unit.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEGREES

public static final AngleUnits DEGREES
Degrees.

### RADIANS

public static final AngleUnits RADIANS
Radians.

## Constructor Details

### AngleUnits

public AngleUnits(String name, double circle)
Constructor.

Parameters:
  `name` - unit name
  `circle` - number of units in an entire revolution

## Method Details

### getCircle

public double getCircle()
Returns the number of these units in an entire revolution.

Returns:
  quantity in a circle

### getName

public String getName()
Returns the name of this unit.

Returns:
  name

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`